using System;

using Telerik.Web.UI;
using System.Web.UI.WebControls;

namespace Telerik.Web.Examples.TabStrip.Functionality.Orientation
{
	public partial class DefaultCS : System.Web.UI.Page
	{
		protected void Page_Load(object sender, System.EventArgs e)
		{
			if (!IsPostBack)
			{
				RadTabStrip1.Visible = true;
				RadTabStrip2.Visible = false;
			}
		}

		protected void ChangeOrientation(object sender, System.EventArgs e)
		{
			TabStripOrientation selectedOrientation = (TabStripOrientation)Enum.Parse(typeof(TabStripOrientation), orientationOptions.SelectedValue);
		
			/* If the orientation is VerticalRight or HorizontalBottom,
			 * the tabstrip should be rendered after the multipage */

			switch (selectedOrientation)
			{
				case TabStripOrientation.HorizontalTop:
				case TabStripOrientation.VerticalLeft:

					RadTabStrip1.Visible = true;
					RadTabStrip2.Visible = false;

					RadTabStrip1.SelectedIndex = RadTabStrip2.SelectedIndex;

					RadTabStrip1.Orientation = selectedOrientation;

					break;

				case TabStripOrientation.HorizontalBottom:
				case TabStripOrientation.VerticalRight:

					RadTabStrip1.Visible = false;
					RadTabStrip2.Visible = true;

					RadTabStrip2.SelectedIndex = RadTabStrip1.SelectedIndex;

					RadTabStrip2.Orientation = selectedOrientation;

					break;
			}
		}
	}
}
